<?php
/**
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
require( YOURBASEPATH.DS."menu_styleswitcher.php");
require( YOURBASEPATH.DS."menu_styles.php");

JHTML::_( 'behavior.mootools' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
	<jdoc:include type="head" />
	<?php
	global $leftcolumn_width, $rightcolumn_width;
	$live_site        = $mainframe->getCfg('live_site');
	$menu_name        = $this->params->get("menuName", "mainmenu");
	$menu_type        = $this->params->get("menuType", "moomenu");
	$menu_side        = $this->params->get("menuSide", "left");
	$leftinset_width  = $this->params->get("leftinsetWidth", "285");
	$rightinset_width = $this->params->get("rightinsetWidth", "175");
		
	// moomenu options
	$moo_bgiframe     = ($this->params->get("moo_bgiframe'","0") == 0)?"false":"true";
	$moo_delay        = $this->params->get("moo_delay", "500");
	$moo_duration     = $this->params->get("moo_duration", "400");
	$moo_fps          = $this->params->get("moo_fps", "100");
	$moo_transition   = $this->params->get("moo_transition", "Expo.easeOut");	

	// counting modul
	$botmod_count = ($this->countModules('user1')>0) + ($this->countModules('user2')>0) + ($this->countModules('user3')>0);
	$botmod_width = $botmod_count > 0 ? ' w' . floor(99 / $botmod_count) : '';
	$row2mod_count = ($this->countModules('left')>0) + ($this->countModules('user1')>0) + ($this->countModules('right')>0);
	$row2mod_width = $row2mod_count > 0 ? ' w' . floor(99 / $row2mod_count) : '';
	$row3mod_count = ($this->countModules('user2')>0) + ($this->countModules('user3')>0) + ($this->countModules('inset')>0);
	$row3mod_width = $row3mod_count > 0 ? ' w' . floor(99 / $row3mod_count) : '';
	$template_path = $this->baseurl . "/templates/" . $this->template;
	
	//counting frontpage component
	$frontpage_component    = $this->params->get("enableFrontpage", "show");
	


	require(YOURBASEPATH .DS."menu_styleloader.php");

	// menu code
	$document	= &JFactory::getDocument();
	$renderer	= $document->loadRenderer( 'module' );
	$options	 = array( 'style' => "raw" );
	$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
	$mainnav = false; $subnav = false;
	if($mtype == "splitmenu") : 
		$module->params	= "menutype=$menu_name\nstartLevel=0\nendLevel=1";
		$mainnav = $renderer->render( $module, $options );
		$module	 = JModuleHelper::getModule( 'mod_mainmenu' );
		$module->params	= "menutype=$menu_name\nstartLevel=1\nendLevel=9";
		$options	 = array( 'style' => "submenu");
		$subnav = $renderer->render( $module, $options );
	elseif($mtype == "moomenu" or $mtype == "suckerfish") : 								      	
		$module->params	= "menutype=$menu_name\nshowAllChildren=1\nclass_sfx=top";
		$mainnav = $renderer->render( $module, $options );
	endif;

	// make sure subnav is empty
	if (strlen($subnav) < 10) $subnav = false;

	?>
	
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/moomenu.css" rel="stylesheet" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/style.css" rel="stylesheet" type="text/css" />

	<!--[if lte IE 7]>
	<style type="text/css">
    #toptools {margin: 5px 0 1px 0; padding:6px 10px;}
    #search input.button{line-height:0;}
    #register, #login {right:-10px;}

	</style>
	<![endif]-->
    
	<!--[if lte IE 6]>
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/ieonly.css" rel="stylesheet" type="text/css" />
	<style type="text/css">
    	*{ behavior: url(<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/css/iepngfix.htc); } 
       
	</style>
	<![endif]-->
	
	<?php if($mtype=="moomenu") :?>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/mootools.bgiframe.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/toptool.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/menu_moomenu.js"></script>
	<script type="text/javascript" src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/js/sameheight.js"></script>
	<script type="text/javascript">
		window.addEvent('domready', function() {
			new Rokmoomenu($E('ul.menutop'), {
				bgiframe: <?php echo $moo_bgiframe; ?>,
				delay: <?php echo $moo_delay; ?>,
				animate: {
					props: ['opacity', 'width', 'height'],
					opts: {
						duration:<?php echo $moo_duration; ?>,
						fps: <?php echo $moo_fps; ?>,
						transition: Fx.Transitions.<?php echo $moo_transition; ?>
				}
			}
		});
		});
	</script>
	<?php endif; ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/css/<?php echo $this->params->get('fontFamily'); ?>.css" type="text/css" />

</head>

<body>
	<div id="container1">
    <div id="container2">
    	<div id="wrapper">
        	<div id="header">
            	<?php if ($this->params->get('logoType')=='image'){ ?>
				<div id="logo">
        			<a href="index.php"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Your Company" title="Your Company" border="0" width="208" height="76" /></a>
        		</div>
				<?php } else{ ?>
    			<div id="logo">
					<h1 class="logo-module"><a href="index.php" title="<?php echo $this->params->get('siteName'); ?>"><span><?php echo $this->params->get('siteName'); ?></span></a></h1>
						<span class="site_slogan"><?php echo $this->params->get('sloganText'); ?></span>
        		</div>
				<?php } ?>
                <?php if ($this->countModules('banner')) : ?>
                	<div id="banner">
                		<jdoc:include type="modules" name="banner" style="xhtml" />
                	</div>
                <?php endif; ?>
                 <?php if ($this->countModules('login')) : ?>
                	 <div id="toptools">
	         			<jdoc:include type="modules" name="login" />
					</div>
                <?php endif; ?>
                	<div id="rss">
                		<jdoc:include type="modules" name="rss" />
              		</div>
			</div>
            <div class="clr"></div>
             <!--start navigation-->
        		<div id="navigation_box">
                	<div id="main-menu-left"></div>
        			<div id="main-menu">
            			<?php echo $mainnav; ?>
            			<div id="vert-menu">
                			<?php echo $subnav; ?>
            			</div>
        			</div>
				</div>
                <!--navigation end-->
				<div class="clr"></div>
				<!--start slideshow-->
            	<?php if ($this->countModules('slideshow') or $this->countModules('top')) : ?>
                	<div id="row1-top"></div>
                	<div id="row1-middle">
                    	<div class="pad">
                    		<div class="slideshow">
                            	<jdoc:include type="modules" name="slideshow" style="xhtml"/>
                        	</div>
                            <div id="row1-rightcol">
                    			<jdoc:include type="modules" name="top" style="xhtml"/>
                   			</div>
                         </div>
                          <div class="clr"></div>
                    	 </div>
                <div id="row1-bottom"></div><?php endif; ?>
                <!--end slideshow-->
               
                <!--start row2 for leftcolumn, rightcolumn and component -->
              <div id="row2">
              <div id="leftcolumn">
               	<?php if ($this->countModules('inset')) : ?>
                    	<div class="box1-top"></div>
                        <div class="box1-middle">
                    		<div class="pad">
                            	<jdoc:include type="modules" name="inset" style="xhtml" />
                            </div>
                        </div>
                        <div class="box1-bottom"></div>
                    
                 <?php endif; ?>
                 
                <?php if (!($frontpage_component == 'hide' and JRequest::getVar('view') == 'frontpage')): ?>
                	
                    	<div class="box1-top"></div>
                        <div class="box1-middle">
                    		<div class="pad">
                            	<jdoc:include type="component" />
                            </div>
                        </div>
                        <div class="box1-bottom"></div>
                    </div>
                 <?php endif; ?>
                 
                 <?php if ($this->countModules('left') or $this->countModules('right')) : ?>
                 <div id="rightcolumn">
                 	<?php if ($this->countModules('right')) : ?>
                    	<div class="box2-top"></div>
                        <div class="box2-middle">
                    		<div class="pad">
                            	<jdoc:include type="modules" name="right" style="xhtml" />
                            </div>
                        </div>
                        <div class="box2-bottom"></div>
                    <?php endif; ?>
                    <?php if ($this->countModules('left')) : ?>
                    	<div class="box2-top"></div>
                        <div class="box2-middle">
                    		<div class="pad">
                            	<jdoc:include type="modules" name="left" style="xhtml" />
                            </div>
                        </div>
                        <div class="box2-bottom"></div>
                    <?php endif; ?>
                 </div>
                 <?php endif; ?>
                  <div class="clr"></div>
               </div>
                       
                 <!-- start row2-->
               <?php if ($this->countModules('user1') or $this->countModules('user2') or $this->countModules('user3')) : ?>
               <div id="bottommodule" class="spacer<?php echo $botmod_width; ?>">
                <div class="pad1">
				<?php if ($this->countModules('user1')) : ?>
					<div class="block">
						<jdoc:include type="modules" name="user1" style="xhtml" />
					</div>
				<?php endif; ?>
				<?php if ($this->countModules('user2')) : ?>
					<div class="block">
						 <jdoc:include type="modules" name="user2" style="xhtml" />
					</div>
				<?php endif; ?>
                <?php if ($this->countModules('user3')) : ?>
					<div class="block">
						 <jdoc:include type="modules" name="user3" style="xhtml" />
					</div>
				<?php endif; ?>
                </div>
				<div class="clr"></div>
                </div>
                <?php endif; ?>
                <!-- end of row2-->
              
                <!-- start footer -->      
                <div id="footer">
               		<div id="bottom-navigation">
                	 	<jdoc:include type="modules" name="footer" style="xhtml" />
                 	</div>  
                    <div class="copyright" style="display:<?php echo $this->params->get('footerDisplay'); ?>;">
                     <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                                 <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
         <?php } ?>                    </div>  
                </div>
                
        </div>
    </div>
 	</div>
    
</body>
</html>